# ChangeLog for media-sound/mpg123
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/mpg123/ChangeLog,v 1.109 2007/03/02 12:47:10 genstef Exp $

  02 Mar 2007; <genstef@gentoo.org> mpg123-0.59s-r11.ebuild,
  mpg123-0.61.ebuild, mpg123-0.65.ebuild:
  Dropped ppc-macos keyword, see you in prefix

*mpg123-0.65 (10 Feb 2007)

  10 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> +mpg123-0.65.ebuild:
  Version bump.

  28 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  -mpg123-0.59s-r9.ebuild:
  Remove vulnerable version, see bug #164226.

  06 Jan 2007; Charlie Shepherd <masterdriverz@gentoo.org>
  mpg123-0.61.ebuild:
  Fix dependencies; bug 159693; thanks to jakub

*mpg123-0.61 (22 Oct 2006)

  22 Oct 2006; Stefan Schweizer <genstef@gentoo.org> +mpg123-0.61.ebuild:
  version bump, bug 145288, thanks go to Stefan Talpalaru
  <stefantalpalaru@yahoo.com> and Horst Schirmeier <gentoo@schirmeier.com> and
  to upstream maintainer Thomas Orgis <thomas@orgis.org>

  04 Sep 2006; Joshua Kinard <kumba@gentoo.org> mpg123-0.59s-r11.ebuild:
  Marked stable on mips.

  13 Jul 2006; Aron Griffis <agriffis@gentoo.org> mpg123-0.59s-r11.ebuild:
  Mark 0.59s-r11 stable on ia64

  25 Jun 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  mpg123-0.59s-r11.ebuild:
  ppc stable, bug #133988

  24 Jun 2006; Rene Nussbaumer <killerfox@gentoo.org>
  mpg123-0.59s-r11.ebuild:
  Stable on hppa. See bug #133988.

  22 Jun 2006; Thomas Cort <tcort@gentoo.org> mpg123-0.59s-r11.ebuild:
  Stable on alpha wrt security Bug #133988.

  22 Jun 2006; Fabian Groffen <grobian@gentoo.org> mpg123-0.59s-r11.ebuild:
  Marked ppc-macos stable (bug #133988)

  22 Jun 2006; Joshua Jackson <tsunam@gentoo.org> mpg123-0.59s-r11.ebuild:
  Stable on x86; bug #133988

  21 Jun 2006; Markus Rothe <corsair@gentoo.org> mpg123-0.59s-r11.ebuild:
  Stable on ppc64; bug #133988

  07 Jun 2006; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r11.ebuild:
  Fixed problem with Makefile not working on some systems - bug #130577.

*mpg123-0.59s-r11 (06 Jun 2006)

  06 Jun 2006; Jeremy Huddleston <eradicator@gentoo.org>
  -mpg123-0.59s-r10.ebuild, +mpg123-0.59s-r11.ebuild:
  Revbump for security bug #133988.  Stable amd64, sparc.

  11 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/mpg123-0.59s-gmake-3.81.patch, mpg123-0.59s-r10.ebuild:
  Add patch from Guilherme Amadio <amadio@cns.s.u-tokyo.ac.jp> to build with
  gmake 3.81. Also give the right compiler to make process.

  08 May 2006; <tcort@gentoo.org> mpg123-0.59s-r9.ebuild:
  Removed COPYING from dodoc.

  08 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  -mpg123-0.59s-r8.ebuild, mpg123-0.59s-r9.ebuild, mpg123-0.59s-r10.ebuild:
  Use gentoo mirrors instead of dev.gentoo.org for patchset, drop virtual/libc
  dependency, whitespace fixes, drop old version.

  17 Oct 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/mpg123-respectusercflags.patch, mpg123-0.59s-r10.ebuild:
  Added patch to respect user-defined CFLAGS on amd64. Patch by Simon
  Strandman in bug #87539.

  02 Sep 2005; Diego Pettenò <flameeyes@gentoo.org> mpg123-0.59s-r8.ebuild,
  mpg123-0.59s-r9.ebuild, mpg123-0.59s-r10.ebuild:
  Cleanup of latest ebuild (double brackets tests, don't install COPYING).
  Avoid cp -d on others.

*mpg123-0.59s-r10 (13 Aug 2005)

  13 Aug 2005; Tony Vroon <chainsaw@gentoo.org>
  +files/0.59s-set-terminal-line-settings-once.patch,
  +mpg123-0.59s-r10.ebuild:
  Revision bump; only set terminal line settings once, not for every new song
  (can make terminal unusable after use of -c option). Patch by Andrzej
  Zaborowski <balrogg@gmail.com>, closes bug #70592.

  27 Jun 2005; Lina Pezzella <j4rg0n@gentoo.org> mpg123-0.59s-r9.ebuild:
  Stable ppc-macos

  10 Apr 2005; Lina Pezzella <j4rg0n@gentoo.org> +files/mpg123-osx.diff,
  mpg123-0.59s-r9.ebuild:
  Patched and testing ppc-macos.

  10 Jan 2005; Hardave Riar <hardave@gentoo.org> mpg123-0.59s-r9.ebuild:
  Stable on mips, bug #76862.

  08 Jan 2005; Bryan Østergaard <kloeri@gentoo.org> mpg123-0.59s-r9.ebuild:
  Stable on alpha, bug 76862.

  08 Jan 2005; Guy Martin <gmsoft@gentoo.org> mpg123-0.59s-r9.ebuild:
  Stable on hppa.

  07 Jan 2005; <plasmaroo@gentoo.org> mpg123-0.59s-r9.ebuild:
  Stable on IA64; bug #76862.

  07 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r9.ebuild:
  Stable ppc64.  Bugs #69512, #76862.

  06 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -mpg123-0.59s-r6.ebuild, -mpg123-0.59s-r7.ebuild:
  Removing some older insecure versions.

  06 Jan 2005; Michael Hanselmann <hansmi@gentoo.org>
  mpg123-0.59s-r9.ebuild:
  Stable on ppc.

*mpg123-0.59s-r9 (06 Jan 2005)

  06 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +mpg123-0.59s-r9.ebuild:
  Revision bump for CAN-2004-0991.

  30 Dec 2004; Hardave Riar <hardave@gentoo.org> mpg123-0.59s-r8.ebuild:
  Stable on mips, bug #74692

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  20 Dec 2004; Markus Rothe <corsair@gentoo.org> mpg123-0.59s-r8.ebuild:
  Stable on ppc64

  19 Dec 2004; Bryan Østergaard <kloeri@gentoo.org> mpg123-0.59s-r8.ebuild:
  Stable on alpha, bug 74692.

  19 Dec 2004; Michael Hanselmann <hansmi@gentoo.org>
  mpg123-0.59s-r8.ebuild:
  Stable on ppc.

*mpg123-0.59s-r8 (18 Dec 2004)

  18 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +mpg123-0.59s-r8.ebuild:
  Security fix for bug #74692.

  23 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r7.ebuild:
  Changing default sparc player to '-generic' to work with 2.6 kernels.

*mpg123-0.59s-r7 (03 Nov 2004)

  03 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -files/mpg123-0.59s-r6-ppc64.patch, +mpg123-0.59s-r7.ebuild:
  Revbump to fix 64bit problem.  See bugs #25587 and #69512.

  03 Nov 2004; Markus Rothe <corsair@gentoo.org>
  +files/mpg123-0.59s-r6-ppc64.patch, mpg123-0.59s-r6.ebuild:
  Added ppc64 specific patch

  30 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -files/0.59s-generic.patch, -files/mpg123-0.59s-CAN-2004-0805.patch,
  -files/mpg123-0.59s-Makefile.patch, -files/mpg123-0.59s-amd64.patch,
  -files/mpg123-0.59s-heapfix.diff, -files/mpg123-0.59s-ppc64.patch,
  -files/mpg123-0.59s-security.diff, -mpg123-0.59s-r4.ebuild,
  -mpg123-0.59s-r5.ebuild:
  Removing insecure versions.

  30 Oct 2004; Stephen P. Becker <geoman@gentoo.org> mpg123-0.59s-r6.ebuild:
  stable on mips

  30 Oct 2004; Tom Gall <tgall@gentoo.org> mpg123-0.59s-r6.ebuild:
  stable on ppc64 bug #68343

  30 Oct 2004; Tom Gall <tgall@gentoo.org> mpg123-0.59s-r5.ebuild:
  stable on ppc64 bug #68343

  30 Oct 2004; Guy Martin <gmsoft@gentoo.org> mpg123-0.59s-r6.ebuild:
  Stable on hppa.

  25 Oct 2004; Aron Griffis <agriffis@gentoo.org> mpg123-0.59s-r6.ebuild:
  stable on ia64

  26 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> mpg123-0.59s-r6.ebuild:
  Stable on alpha, bug 68343.

  26 Oct 2004; Joseph Jezak <josejx@gentoo.org> mpg123-0.59s-r6.ebuild:
  Marked ppc stable, bug #68343

*mpg123-0.59s-r6 (25 Oct 2004)

  25 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +mpg123-0.59s-r6.ebuild:
  More security bugfixes.  See bug #68343.

  24 Oct 2004; Aron Griffis <agriffis@gentoo.org> mpg123-0.59s-r5.ebuild:
  stable on ia64

  22 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> mpg123-0.59s-r5.ebuild:
  Stable on alpha, bug 68343.

  22 Oct 2004; Guy Martin <gmsoft@gentoo.org> mpg123-0.59s-r5.ebuild:
  Stable on hppa.

  22 Oct 2004; Joseph Jezak <josejx@gentoo.org> mpg123-0.59s-r5.ebuild:
  Fixed patchdir and marked ppc stable, bug #68343

*mpg123-0.59s-r5 (21 Oct 2004)

  21 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -mpg123-0.59s-r2.ebuild, -mpg123-0.59s-r3.ebuild, +mpg123-0.59s-r5.ebuild:
  Revbump for security bug #68343. Moved patches out of files and onto
  mirrors. Cleaned up patches.

  18 Oct 2004; Tom Gall <tgall@gentoo.org> mpg123-0.59s-r4.ebuild,
  +files/mpg123-0.59s-ppc64.patch:
  stable on ppc64, bug 64490

  18 Sep 2004; Joshua Kinard <kumba@gentoo.org> mpg123-0.59s-r4.ebuild:
  Marked stable on mips.

  16 Sep 2004; Bryan Østergaard,,, <kloeri@gentoo.org> mpg123-0.59s-r4.ebuild:
  Stable on alpha, bug 63079.

  15 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r4.ebuild:
  Stable amd64.

  15 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org> mpg123-0.59s-r4.ebuild:
  Stable on sparc wrt #63079

  15 Sep 2004; Guy Martin <gmsoft@gentoo.org> mpg123-0.59s-r4.ebuild:
  Stable on hppa.

  14 Sep 2004; Olivier Crete <tester@gentoo.org> mpg123-0.59s-r4.ebuild:
  Stable on x86

*mpg123-0.59s-r4 (14 Sep 2004)

  14 Sep 2004; <solar@gentoo.org> +files/mpg123-0.59s-CAN-2004-0805.patch,
  +mpg123-0.59s-r4.ebuild:
  security bump. bug #63079 : A malicious formatted mp3/2 causes mpg123 to fail
  header checks, this may allow arbitrary code to be executed with the privilege
  of the user trying to play the mp3.

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r2.ebuild, mpg123-0.59s-r3.ebuild:
  virtual/glibc -> virtual/libc

  16 Jun 2004; Gustavo Zacarias <gustavoz@gentoo.org> mpg123-0.59s-r3.ebuild:
  Fix for hppa & stable

  06 Jun 2004; Jason Wever <weeve@gentoo.org> mpg123-0.59s-r3.ebuild:
  Stable on sparc.

  31 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r3.ebuild:
  Readded ~mips using -generic by default.

  31 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r3.ebuild:
  Stable x86.  Assume default settings if no USE flags match to close bug #51750.
  Removed ~mips as there is no logic to support it.

  26 Apr 2004; Stephen P. Becker <geoman@gentoo.org> mpg123-0.59s-r3.ebuild:
  Added ~mips keyword.

  12 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r3.ebuild:
  Added missing oss to IUSE.
  sparc + esd build fix.

*mpg123-0.59s-r3 (12 Apr 2004)

  12 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r3.ebuild:
  Support for more nas and esd added.  Alsa is broken.  Closes bug #47269.

  18 Feb 2004; Martin Schlemmer <azarah@gentoo.org> mpg123-0.59s-r2.ebuild:
  Remove -m486 based on patch from Thomas Veith <th_veith@web.de>, closing bug
  #41021. Also remove the added -O2, and fix build to always use our CFLAGS -
  there was an issue with USE=mmx that CFLAGS was not set.

  18 Feb 2004; Martin Holzer <mholzer@gentoo.org> mpg123-0.59s-r2.ebuild:
  adding IUSE. Closes 41890

  17 Feb 2004; Joshua Kinard <kumba@gentoo.org> mpg123-0.59r-r2.ebuild,
  mpg123-0.59r-r3.ebuild, mpg123-0.59s-r2.ebuild:
  Masked on mips until further notice. This package does appear to have the
  capability to compile on mips, but it requires a dep on the alsa driver, and
  attempts to compile have so far failed. Will look into it later.

  15 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  mpg123-0.59s-r1.ebuild:
  Removing unsecure ebuild.

  15 Feb 2004; Jon Portnoy <avenj@gentoo.org> mpg123-0.59s-r2.ebuild :
  Stable on AMD64.

*mpg123-0.59s-r2 (15 Feb 2004)

  15 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org> metadata.xml,
  mpg123-0.59r-r2.ebuild, mpg123-0.59r-r3.ebuild, mpg123-0.59s-r1.ebuild,
  mpg123-0.59s-r2.ebuild:
  PROVIDE="virtual/mpg123" for bug #14940.

  15 Feb 2004; <solar@gentoo.org> mpg123-0.59r-r2.ebuild,
  mpg123-0.59r-r3.ebuild, files/mpg123-0.59s-heapfix.diff:
  fix heap overflow... bug #40631

  15 Feb 2004; Luca Barbato <lu_zero@gentoo.org> mpg123-0.59s-r1.ebuild:
  Marked stable on ppc to fix bug #40631

  15 Feb 2004; Aron Griffis <agriffis@gentoo.org> metadata.xml,
  mpg123-0.59s-r1.ebuild, mpg123-0.59s.ebuild:
  Mark 0.59s-r1 stable on x86 for bug 40631. Remove older ebuilds. Add this
  ebuild to the sound herd.  Remove ~arm from KEYWORDS since there isn't even
  a bugzilla account to get somebody to test.

  15 Feb 2004; Jason Wever <weeve@gentoo.org> mpg123-0.59s-r1.ebuild:
  Marked stable on sparc to fix bug #40631.

  09 Feb 2004; Luca Barbato <lu_zero@gentoo.org> mpg123-0.59s-r1.ebuild:
  Fixed a glitch in the ppc related section of Makefile.

  07 Feb 2004; Aron Griffis <agriffis@gentoo.org> mpg123-0.59s-r1.ebuild:
  Majorly clean up the arch support in this ebuild

  11 Jan 2004; Aron Griffis <agriffis@gentoo.org> mpg123-0.59s-r1.ebuild:
  stable on alpha and ia64

  23 Nov 2003; Mike Frysinger <vapier@gentoo.org> :
  Add generic patch for hppa support.

  04 Nov 2003; Will Woods <wwoods@gentoo.org> mpg123-0.59s-r1.ebuild,
  mpg123-0.59s.ebuild:
  Added MAKESTYLE for alpha (somehow this didn't get carried over from the 0.59r
  ebuilds)

  07 Oct 2003; Brad House <brad_mssw@gentoo.org> mpg123-0.59r-r3.ebuild,
  files/mpg123-0.59r-amd64.diff, files/mpg123-0.59s-amd64.patch:
  fix mpg123-0.59r-r3 as it was marked stable on amd64. The amd64 patch wasn't
  being pulled out of the patch ball, manually epatch it. The diff for
  mpg123-0.59s had a bunch of .orig files in it which made the patch huge,
  remove. Remove the diff for mpg123-0.59r as it's in the patchball.

  06 Oct 2003; Brad House <brad_mssw@gentoo.org> mpg123-0.59s-r1.ebuild,
  files/mpg123-0.59s-amd64.patch:
  patch for 0.59s and amd64

  06 Oct 2003; Brad House <brad_mssw@gentoo.org>
  files/mpg123-0.59r-amd64.diff:
  removal of amd64 patch broke mpg123 on amd64. apparently whatever was done to
  put it in a package on the server, this patch wasn't part of that and should
  not have been removed.

*mpg123-0.59s-r1 (30 Sep 2003)

  30 Sep 2003; Seemant Kulleen <seemant@gentoo.org> mpg123-0.59r-r1.ebuild,
  mpg123-0.59r-r3.ebuild, mpg123-0.59s-r1.ebuild,
  files/mpg123-0.59r-alpha.diff, files/mpg123-0.59r-amd64.diff,
  files/mpg123-0.59r-hppa.diff, files/mpg123-0.59r-make-fix.diff,
  files/mpg123-0.59r-sparc.diff, files/mpg123-0.59s-security.diff:
  Bug 26787 alerts to a local/remote exploit in mpg123-0.59s. In the process of
  fixing this bug with patches available at:
  http://archives.neohapsis.com/archives/bugtraq/2003-01/0117.html a potential
  security fix in 0.59r was also fixed. Additionally, the patches for 0.59r now
  reside in their own tarball on the mirrors, instead of cluttering up the files
  subdirectory.

  18 Sep 2003; Todd Sunderlin <todd@gentoo.org> mpg123-0.59s.ebuild:
  Marked unstable for sparc

*mpg123-0.59s (19 Jul 2003)

  10 Aug 2003; Olivier Crete <tester@gentoo.org> files/mpg123-0.59r-amd64.diff:
  Newer amd64 patch, the original version produced garbled sound, fixed
  version from Andres Meyer <andres.meyer@computer.org>, fixes bug #25587

  19 Jul 2003; jje <jje@gentoo.org> mpg123-0.59s.ebuild:
  Last development version. Adds support for id3_v2 tags. I'm a little nervous 
  about adding this as it doesn't look like it is still being worked on 
  upstream. If it proves to be stable it may be what we live with.
  
  Submitted by: Turambar <pete@SiliconMetrics.com>

  18 Jul 2003; Olivier Crete <tester@gentoo.org> mpg123-0.59r-r2.ebuild,
  files/mpg123-0.59r-amd64.diff:
  add amd64 patch and config things

  28 May 2003; Jason Wever <weeve@gentoo.org> mpg123-0.59r-r1.ebuild,
  mpg123-0.59r-r2.ebuild:
  Removed mistaken esound dependency and added audiofile dependency for sparc to
  fix bug #21731.

  28 May 2003; Jason Wever <weeve@gentoo.org> mpg123-0.59r-r1.ebuild,
  mpg123-0.59r-r2.ebuild:
  Added esound dependency for sparc to fix bug #21731.

*mpg123-0.59r-r2 (19 Mar 2003)

  17 Jul 2003; Guy Martin <gmsoft@gentoo.org> mpg123-0.59r-r2.ebuild :
  Marked stable on hppa.

  23 Jun 2003; Guy Martin <gmsoft@gentoo.org> mpg123-0.59r-r2.ebuild,
  files/mpg123-0.59r-hppa.diff :
  Fix build for hppa. Added ~hppa to KEYWORDS.

  19 Mar 2003; Zach Welch <zwelch@gentoo.org> mpg123-0.59r-r2.ebuild,
  files/mpg123-0.59r-make-fix.diff:
  fix distcc compiles; see bug 16116

*mpg123-0.59r-r1 (27 Apr 2002)

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : 
  changed sparc ~sparc keywords
 
  22 Nov 2002; Will Woods <wwoods@gentoo.org> mpg123-0.59r-r1.ebuild :
  Added alpha keyword and patch.

  15 Sep 2002; Maarten Thibaut <murphy@gentoo.org> mpg123-0.59r-r1.ebuild :
  Added sparc and sparc64 keywords.

  13 May 2002; daybird <daybird@gentoo.org> :
  another ppc fix - ppc CFLAGS now get written to Makefile.

  27 Apr 2002; pvdabeel <pvdabeel@gentoo.org> :
  ppc fix 

*mpg123-0.59r (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
